<?php

namespace Ig\IgReservations\Domain\Model;

use TYPO3\CMS\Extbase\DomainObject\AbstractEntity;

/**
 * Reminder
 */
class Reminder extends AbstractEntity
{
    protected string $debugMail;
    protected string $mailFrom;
    protected string $subject;
    protected string $emailBegin;
    protected string $emailText;
    protected string $emailEnd;
    protected string $timeModifier;

    public function setDebugMail(string $debugMail): void
    {
        $this->debugMail = $debugMail;
    }

    public function getDebugMail(): string
    {
        return $this->debugMail;
    }

    public function setMailFrom(string $mailFrom): void
    {
        $this->mailFrom = $mailFrom;
    }

    public function getMailFrom(): string
    {
        return $this->mailFrom;
    }

    public function setSubject(string $subject): void
    {
        $this->subject = $subject;
    }

    public function getSubject(): string
    {
        return $this->subject;
    }

    public function setEmailBegin(string $emailBegin): void
    {
        $this->emailBegin = $emailBegin;
    }

    public function getEmailBegin(): string
    {
        return $this->emailBegin;
    }

    public function setEmailText(string $emailText): void
    {
        $this->emailText = $emailText;
    }

    public function getEmailText(): string
    {
        return $this->emailText;
    }

    public function setEmailEnd(string $emailEnd): void
    {
        $this->emailEnd = $emailEnd;
    }

    public function getEmailEnd(): string
    {
        return $this->emailEnd;
    }

    public function setTimeModifier(string $timeModifier): void
    {
        $this->timeModifier = $timeModifier;
    }

    public function getTimeModifier(): string
    {
        return $this->timeModifier;
    }
}